%define upstream_name PHPUnit_MockObject
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.3
Release:     	%mkrel 5
Summary:    	Mock Object library for PHPUnit
License:    	BSD License
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	http://pear.phpunit.de/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear >= 1.9.4
Requires:    	php-pear-Text_Template >= 1.1.1
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-channel-phpunit
	

%description
Mock Object library for PHPUnit

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHPUnit_MockObject.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHPUnit_MockObject.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHPUnit_MockObject
fi

%files
%doc docs/PHPUnit_MockObject/*
%{peardir}/*
%{xmldir}/PHPUnit_MockObject.xml

%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.2.3-5.mga6
+ Revision: 938908
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-4.mga5
+ Revision: 741335
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-3.mga5
+ Revision: 687416
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.3-2.mga4
+ Revision: 526364
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 spuhler <spuhler> 1.2.3-1.mga4
+ Revision: 436829
- upgrade to ver. 1.2.3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 377135
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 199749
- upgrade to 1.1.1

* Sat Jan 14 2012 spuhler <spuhler> 1.1.0-2.mga2
+ Revision: 196047
- changed BuildRequires: 	php-pear-channel-phpunit to php-channel-phpunit
  since we combined the both

* Tue Nov 15 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 167880
- upgrade to 1.1.0
  Spec file pearized

* Mon Jul 11 2011 spuhler <spuhler> 1.0.9-1.mga2
+ Revision: 121993
- changed Requires and BuildRequires: php-pear-channel-horde to php-pear-channel-phpunit
- imported package php-pear-PHPUnit_MockObject

